package com.hys.app.service.erp;

import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.MsgCompanyConfig;
import com.hys.app.model.erp.dos.MsgConfig;
import com.hys.app.model.erp.dto.MsgConfigDTO;

/**
 * 订单业务层接口
 *
 * @author 张崧
 * 2024-01-24 15:58:31
 */
public interface MsgConfigManager extends BaseService<MsgConfig> {

    /**
     * 新增消息
     *
     * @param msgConfigDTO
     * @return
     */
    Long addMsg(MsgConfigDTO msgConfigDTO);

    /**
     * 更换消息的消息模板
     *
     * @param id
     * @param templateCode
     * @return
     */
    void changeTemplate(String id, String templateCode);

    /**
     * 获取所有消息树状图返回
     */
    void getAllMsg();

    /**
     * 删除消息
     *
     * @param id
     */
    void deleteMsg(String id);
}

